# cHapticDeviceInfo Struct Reference
[Devices]

Provides a structure which can hold technical specifications about a particular haptic device. More...

`#include <CGenericHapticDevice.h>`

List of all members.

## Public Attributes
string | m_modelName
| Name of the device model. "delta, "omega" or "phantom" for instance.
string | m_manufacturerName
| Name of the manufacturer of the device.
double | m_maxForce
| Maximum force in [N] that can be produced by the device in translation.
double | m_maxTorque
| Maximum torque in [N*m] that can be produced by the device in orientation.
double | m_maxGripperTorque
| Maximum force in [N*m] that can be produced by the gripper.
double | m_maxForceStiffness
| Maximum closed loop force stiffness [N/m] for a simulation running at 1 KhZ.
double | m_maxTorqueStiffness
| Maximum closed loop torque stiffness [N*m/rad] for a simulation running at 1 KhZ.
double | m_maxGripperTorqueStiffness
| Maximum closed loop gripper torque stiffness [N*m/rad] for a simulation running at 1 KhZ.
double | m_maxLinearDamping
| Maximum recommended linear damping factor Kv when using the getVelocity() method from the device class.
double | m_workspaceRadius
| Radius which describes the largest sphere (3D devices) or circle (2D Devices) which can be enclosed inside the physical workspace of the device.
bool | m_sensedPosition
| If true then device supports position sensing (x,y,z axis).
bool | m_sensedRotation
| If true thhen device supports rotation sensing. (i.e stylus, pen).
bool | m_sensedGripper
| If true then device supports a sensed gripper interface.
bool | m_actuatedPosition
| If true then device provides actuation capabilities on the translation degrees of freedom. (x,y,z axis).
bool | m_actuatedRotation
| If true then device provides actuation capabilities on the orientation degrees of freedom. (i.e stylus, pen).
bool | m_actuatedGripper
| If true then device provides actuation capabilities on the gripper.
bool | m_leftHand
| If true then the device can used for left hands.
bool | m_rightHand
| If true then the device can used for left hands.

## Detailed Description

Provides a structure which can hold technical specifications about a particular haptic device.

The documentation for this struct was generated from the following file:

- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/devices/CGenericHapticDevice.h

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.